#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
	class MainWindow;
}

class MainWindow : public QMainWindow
{
	Q_OBJECT
    
	public :
	    explicit MainWindow(QWidget *parent = 0);
	~MainWindow();

	protected slots :
	void SensorRead();
	void solution_mix(unsigned int on_time);
	void solution_spray(unsigned int on_time);
	void temp_regulation();
	void Manual();
	void Maintenance();
	void State();
	void Automatic();
	void menu();
	void menu1();
	void menu2();
	void menu4();

	void click_mix();

	void click_spray();

	void click_ec();

	void click_ph();

	void click_pHcal();

	void click_ECcal();

	void click_temp();

	void click_hum();

	void click_heater();

	void click_fogger();

	void click_fan();

	void vu_ph();

	void vu_ec();

	void vu_temp();
	
	void vu_hum();

	void vu_phon();

	void vu_econ();

	void vu_settle();

	void exit();
	//void menu8();
	void graph_temp();
	void graph_hum();
	void graph_ph();
	void graph_ec();
	void graph_soltemp();
	void updateValues();
	void init();
	void valueUpdate1();
	void valueUpdate2();
	void valueUpdate3();

private:
	Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
